/*=============================================================================
	poll.h : 

	Copyright © 2008 Bruno Santos <nayart3@gmail.com>
=============================================================================*/

#ifndef TCRT_SYS_POLL__H_
#define TCRT_SYS_POLL__H_

///////////////////////////////////////////////////////////////////////////////
#include "../tcrt.h"
#include <limits.h>

///////////////////////////////////////////////////////////////////////////////
TCRT_BEGIN_EXTERN_C

///////////////////////////////////////////////////////////////////////////////
#define	POLLIN		0x0001
#define	POLLRDNORM	0x0002
#define	POLLRDBAND	0x0004
#define	POLLPRI		0x0008
#define	POLLOUT		0x0010
#define	POLLWRNORM	0x0020
#define	POLLWRBAND	0x0040
#define	POLLERR		0x0080
#define	POLLHUP		0x0100
#define	POLLNVAL	0x0200

///////////////////////////////////////////////////////////////////////////////
typedef struct pollfd {
	int	fd;
	short	events;
	short	revents;
};

typedef unsigned int nfds_t;

///////////////////////////////////////////////////////////////////////////////
int poll(struct pollfd fds[], nfds_t nfds, int timeout);

///////////////////////////////////////////////////////////////////////////////
TCRT_END_EXTERN_C

// EOF ////////////////////////////////////////////////////////////////////////
#endif /* TCRT_SYS_POLL__H_ */
